Cabal-1.16.0: A framework for packaging Haskell software

Portability | portable
Maintainer | cabal-devel@haskell.org
Safe Haskell | None

Distribution.Simple.NHC

Description

This module contains most of the NHC-specific code for configuring, building and installing packages.

Synopsis

- configure :: Verbosity -> Maybe FilePath -> Maybe FilePath -> ProgramConfiguration -> IO (Compiler, ProgramConfiguration)
- getInstalledPackages :: Verbosity -> PackageDBStack -> ProgramConfiguration -> IO PackageIndex
- buildLib :: Verbosity -> PackageDescription -> LocalBuildInfo -> Library -> ComponentLocalBuildInfo -> IO ()
- buildExe :: Verbosity -> PackageDescription -> LocalBuildInfo -> Executable -> ComponentLocalBuildInfo -> IO ()
- installLib :: Verbosity -> FilePath -> FilePath -> PackageIdentifier -> Library -> IO ()
- installExe :: Verbosity -> FilePath -> FilePath -> (FilePath, FilePath) -> Executable -> IO ()

# Documentation

configure :: Verbosity -> Maybe FilePath -> Maybe FilePath -> ProgramConfiguration -> IO (Compiler, ProgramConfiguration)

getInstalledPackages :: Verbosity -> PackageDBStack -> ProgramConfiguration -> IO PackageIndex

buildLib :: Verbosity -> PackageDescription -> LocalBuildInfo -> Library -> ComponentLocalBuildInfo -> IO ()

FIX: For now, the target must contain a main module. Not used ATM. Re-add later.

buildExe :: Verbosity -> PackageDescription -> LocalBuildInfo -> Executable -> ComponentLocalBuildInfo -> IO ()

Building an executable for NHC.

installLib

Arguments

:: Verbosity | verbosity
-> FilePath | install location
-> FilePath | Build location
-> PackageIdentifier |
-> Library |
-> IO () |

Install for nhc98: .hi and .a files

installExe

Arguments

:: Verbosity | verbosity
-> FilePath | install location
-> FilePath | Build location
-> (FilePath, FilePath) | Executable (prefix,suffix)
-> Executable |
-> IO () |

Install executables for NHC.